Download it now!
Bug 116531 - Absence of category names under tabs in the Tabbed Notebookbar
Summary: Absence of category names under tabs in the Tabbed Notebookbar
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: x86-64 (AMD64) All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2018-03-21 10:22 UTC by Pedro
Modified: 2018-03-29 16:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot with red circles highlighting the lacking element in the Tabbed Notebookbar (262.17 KB, application/pdf)
2018-03-21 10:28 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2018-03-21 10:22:57 UTC
Description:
The Tabbed Notebookbar lacks clear name indicators in the tabs. These should be added to it. 
The GroupedBar Full UI and the Ribbon in the Microsoft Office modules provide names and a  way to access further menus for each section in the Ribbon/Tabs (ex. Letter Type, Paragraph, Styles). 

Steps to Reproduce:
1. Open Writer/Calc/Impress
2. Go to Tools --> Option --> Advanced --> Enable experimental functionality
3. Go to View --> Toolbar scheme --> Select Notebookbar
4. Notebookbar Interface --> Select Tabbed Notebookbar

Actual Results:  
Enabled the Tabbed Notebookbar

Expected Results:
The Tabbed Notebookbar appeared.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Pedro 2018-03-21 10:28:01 UTC
Created attachment 140770 [details]
Screenshot with red circles highlighting the lacking element in the Tabbed Notebookbar
Comment 2 Heiko Tietze 2018-03-28 16:51:26 UTC
Don't think this is an UX topic as the NB variants are not really traced. It's up to the designer to either add a label or keep it plain. 

(Not happy with this procedure.)
Comment 3 andreas_k 2018-03-28 18:36:17 UTC
Hi Pedro,

Tabbed toolbar group the different actions into tabs so in one tab there is one action group. In the home tab it's a mix between edit and font things but the other tabs are really for one group. there are also some subgroups but in the end it should be clear what the different subgroups are for.

As you can see I play around with different icon sizes so the idea is that each subgroup had one big icon with labels on bottom and than two rows with the other actions for the subgroup. So you can see what's the group for with the one big icon in first place.

Groupedbar are complete different there you have everything in one toolbar (contextual separated) so it's necessary to give an information what's the group for. In addition to the group label it's a drop down menu where you get ALL actions that are not visible in the dropdown menu.

so you get a wontfix cause I think the subgroup labels in the tabs are only lost space.

I'm not interested into a 1:1 copy of MS Office the tabs separation is a good thing and help the users but label the different subgroups aren't necessary from my point of view.

anyway thanks for the bug report and to review notebookbars. I can show you how to play around with the ui files and glade so if you want you can do your own notebookbar and upload the file to the extension webpage.
Comment 4 Pedro 2018-03-29 11:05:04 UTC
Hey Andreas!

Thank you for the kind reply.
I understood that the included Notebookbars would get official support and development from the LO UI team, being included in the suite.

As for the tabbed bar, my main issue is not only with the lack of names. It's the drop down menu in the Groupedbar allows to access more functionalities than the Tabbed bar does.
Hence, adding a similar drop down menu per category in each tab to the Tabbed UI. But if the different Notebookbar UIs included by default are just personal projects from single developers, then I understand that you won't add this.
IMO, the UI team should/could officially support and develop a few Notebookbar UIs besides others that users can offer as extensions. The expertise in developing a solid UI lies with you guys. :)
Comment 5 andreas_k 2018-03-29 11:38:48 UTC
(In reply to Pedro from comment #4)> 
> As for the tabbed bar, my main issue is not only with the lack of names.
> It's the drop down menu in the Groupedbar allows to access more
> functionalities than the Tabbed bar does.
> Hence, adding a similar drop down menu per category in each tab to the
> Tabbed UI. But if the different Notebookbar UIs included by default are just
> personal projects from single developers, then I understand that you won't
> add this.

was done two days ago so check out master please. now the functionality and the "design" should be closer together.
Comment 6 Pedro 2018-03-29 16:26:32 UTC
Weird... I'm using the 6.1 dev from today. The Notebookbars are definitely more polished but there's still no dropdown like in the Groupedbar.

Also is there an issue of lacking icons with the Colibre icon set? 

In Calc, the Tabbed bar lacks a Function icon in the Insert tab, icons in nearly all buttons in the Data tab (XML Source, Streams, Recalculate, Text to Columns, Validity, Consolidate, Subtotal - also cut-out in 1366x768 resolution), in the Review tab it lacks an icon in the Share Spreadsheet, in the View tab it lacks icons in Normal View, Page Break, Value Highlighting, and Column and Row Headers.

In Impress it also lacks icons in the View tab for Normal, Outline, Master Handout, Rulers, Color, Grayscale, Black and White. In the Slide Show tab for Custom Slide Show and Impress Remote.

Also maybe include a New option in the File tab in Calc an Impress? There's plenty of space for a button for that and that button already exists in Writer...